%define oname	gusb

%define major	2
%define libname	%mklibname %{oname} %{major}
%define devname	%mklibname %{oname} -d

Summary:	GLib wrapper around libusb1
Name:		libgusb
Version:	0.2.8
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://gitorious.org/gusb/
Source0:	http://people.freedesktop.org/~hughsient/releases/%{name}-%{version}.tar.xz
#---------------------------------
BuildRequires: gtk-doc
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}usb1.0-devel
BuildRequires: %{_lib}vala-devel
BuildRequires: pkgconfig
BuildRequires: vala
BuildRequires: vala-tools
#---------------------------------

%description
GUsb is a GObject wrapper for libusb1 that makes it easy to do
asynchronous control, bulk and interrupt transfers with proper
cancellation and integration into a main-loop.

%package -n %{libname}
Summary:	GLib wrapper around libusb1
Group:		System/Libraries

%description -n %{libname}
GUsb is a GObject wrapper for libusb1 that makes it easy to do
asynchronous control, bulk and interrupt transfers with proper
cancellation and integration into a main-loop.

%package -n %{devname}
Summary:	Development libraries and headers for %{oname}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{oname}.

%prep
%setup -q

%build
%configure2_5x --disable-static

%make

%install
rm -rf %buildroot
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc README AUTHORS NEWS COPYING
%{_libdir}/%{name}.so.%{major}*
%{_libdir}/girepository-1.0/GUsb-1.0.typelib

%files -n%{devname}
%doc %{_datadir}/gtk-doc/html/%{oname}
%{_includedir}/%{oname}-1
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{oname}.pc
%{_datadir}/gir-1.0/GUsb-1.0.gir
%{_datadir}/vala/vapi/gusb.vapi


%changelog
* Sun Jan 03 2016 bb <bb> 0.2.8-1pclos2016
- update

* Wed Oct 14 2015 bb <bb> 0.2.7-2pclos2015
- rebuild for updates

* Tue Oct 13 2015 bb <bb> 0.2.7-1pclos2015
- import into pclos for colord update
